## gal0.x 0.24-6

=== debian/changelog ===
gal0.x (0.24-6) unstable; urgency=low

  * debian/control (Build-Depends): Add automake1.4.  (Closes: #338082)

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon,  7 Nov 2005 22:56:36 -0800

gal0.x (0.24-5) unstable; urgency=low

  * debian/watch: fix to new location.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  6 Nov 2005 20:07:23 -0800

gal0.x (0.24-4) unstable; urgency=low

  * Require at least version 1:0.17-4 of libglade-gnome0-dev.  Require at
    least version 1:0.17-4 of libglade0-dev.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  5 Oct 2005 10:14:25 -0700

gal0.x (0.24-3) unstable; urgency=low

  * Actually put libgal23 in oldlibs this time.
    
  * debian/control.in: Require at least version 0.22.0-9 of
    libgdk-pixbuf-gnome-dev.  Require at least version 0.37-10 of
    libgnomeprint-dev.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  5 Oct 2005 01:47:33 -0700

gal0.x (0.24-2) unstable; urgency=low

  * New maintainer; new source package name.
  
  * debian/control.in: Put libgal23 in section oldlibs.

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 16 Sep 2005 19:21:17 -0700

gal (0.24-1.5) unstable; urgency=low

  * 0-day NMU (Bug squashing party).
  * Added a patch to use gt_LC_MESSAGES instead of AC_LC_MESSAGES (closes:
    bug#300522).
  * Build-depends on gettext (>> 0.14.5).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  3 Sep 2005 16:58:03 +0200

gal (0.24-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Move gnome-common to earlier position in build-depends to get the package
    to build in sbuild (Closes: #278974) Solution by Daniel Schepler and
    Steve Langasek.
  * [debian/patches/old-intltool.patch] intltool doesn't provide some
    macros anymore, copy them.

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 28 Nov 2004 03:23:34 +0100

gal (0.24-1.3) unstable; urgency=medium

  * NMU
  * [debian/inter-library-dependencies.patch] New. Link libgal.so against all
    the libraries it depends on. (Closes: #187355)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 25 May 2003 10:31:20 +0200

gal (0.24-1.2) unstable; urgency=high

  * NMU
  * Upped the versioned build dependency on binutils on alpha to >= the NMU
    which should fix the segfault issue.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 13 Apr 2003 19:45:09 +0200

gal (0.24-1.1) unstable; urgency=medium

  * NMU
  * Added versioned build dependency on binutils on the alpha architecture to
    trigger a new buildd attempt to see whether the current binutils on alpha
    still segfaults building this package (#185556).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 12 Apr 2003 12:09:38 +0200

gal (0.24-1) unstable; urgency=low

  * New upstream release
  * use dbs
  * run gnome-autogen before build. (closes: #185783,#180429)

 -- Takuo KITAME <kitame@debian.org>  Sat, 22 Mar 2003 08:03:16 +0900

gal (0.23-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Mon, 10 Feb 2003 13:08:41 +0900

gal (0.22-1) unstable; urgency=low

  * New upstream release (closes: #173031)

 -- Takuo KITAME <kitame@debian.org>  Tue, 24 Dec 2002 07:04:52 +0900

gal (0.21-2) unstable; urgency=low

  * Maintainer upload thanks to NMU (closes: #169417, #168463)
  * Build depends on libgtkxmhtml-dev and libzvt-dev (closes: #169395)

 -- Takuo KITAME <kitame@debian.org>  Wed, 11 Dec 2002 17:30:45 +0900

gal (0.21-1.2) unstable; urgency=high

  * NMU, no real changes. Hopefully all archs will have their builds uploaded
    this time around.
  * [config.guess, config.sub] Updated.
  * gal has a build dependency on a specific version of libgnome-dev to ensure
    it doesn't get build against libraries that were erroneously built against
    libpng3. (Closes: #169417)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  9 Dec 2002 20:00:57 +0100

gal (0.21-1.1) unstable; urgency=low

  * NMU
  * [debian/rules] Update config.{guess,host} if possible.
  * [config.guess, config.sub] Updated, should fix mipsel FTBFS.
    (Closes: #168463)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 10 Nov 2002 14:56:00 +0100

gal (0.21-1) unstable; urgency=low

  * New upstream release
  * Change Maintainer address to @debian.org 
  * fix doc/gal-api.sgml (closes: #158341)
  * fix build-depends (closes: #159074)

 -- Takuo KITAME <kitame@debian.org>  Fri,  8 Nov 2002 14:39:29 +0900

gal (0.19.3-2.1) unstable; urgency=low

  * NMU
  * Rollback of GNOME1 png2 -> png3 transition:
    * Updated build dependencies: libgnome-dev, libgdk-pixbuf-gnome-dev,
      libgnomeprint-dev, libglade-gnome0-dev.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  1 Sep 2002 09:03:33 +0200

gal (0.19.3-2) unstable; urgency=low

  * build against libpng3 (closes: #157140)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 20 Aug 2002 14:53:07 +0900

gal (0.19.3-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Fri, 21 Jun 2002 12:39:57 +0900

gal (0.19.2-2) unstable; urgency=low

  * use binary-indep for 'all' package (closes: #143713)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 24 Apr 2002 11:24:32 +0900

gal (0.19.2-1) unstable; urgency=low

  * New upstream release (closes: #143574)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 19 Apr 2002 20:23:26 +0900

gal (0.19-1) unstable; urgency=low

  * New upstream release
  * bump name to libgal19

 -- Takuo KITAME <kitame@northeye.org>  Sun, 13 Jan 2002 15:38:41 +0900

gal (0.18.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Tue, 20 Nov 2001 01:15:39 +0000

gal (0.18-1) unstable; urgency=low

  * New upstream release
  * bump libgal to 18

 -- Takuo KITAME <kitame@northeye.org>  Thu,  8 Nov 2001 03:19:19 +0000

gal (0.17-2) unstable; urgency=low

  * fix build-depends (closes: #118179)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  4 Nov 2001 15:14:02 +0900

gal (0.17-1) unstable; urgency=low

  * New upstream release
  * bump libgal to 17


