=== debian/control ===
Source: gal0.x
Section: devel
Priority: optional
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Build-Depends: flex, libgnome-dev (>= 1.4.2-4), gnome-common, gettext (>> 0.14.5), libxml-dev (>= 1.8.5), libgdk-pixbuf-gnome-dev (>= 0.22.0-9), libgnomeprint-dev (>= 0.37-10), libgnome-vfs-dev (>= 1.0.3), libglade-gnome0-dev (>= 1:0.17-4), debhelper (>> 3.0.0), intltool, libgtkxmhtml-dev, libzvt-dev, dbs, binutils (>= 2.13.90.0.18-1.6) [alpha]
Standards-Version: 3.5.2.0

Package: libgal-dev
Section: devel
Architecture: any
Depends: libgal23 (= ${Source-Version}), libc6-dev, libgnome-dev (>= 1.4.2-2), libgnomeprint-dev (>= 0.37-10), libgdk-pixbuf-gnome-dev (>= 0.22.0-9), libxml-dev, libglade0-dev (>= 1:0.17-4), libglade-gnome0-dev (>= 1:0.17-4)
Description: G App Libs (development files)
 This module contains some library functions that came from Gnumeric
 and Evolution.  The idea is to reuse those widgets across various
 larger GNOME applications that might want to use these widgets.

Package: libgal-data
Section: devel
Architecture: all
Replaces: libgal6, libgal7 (<< 0.8-2), libgal-dev (<< 0.6)
Depends: libgal23 (= ${Source-Version})
Conflicts: libgal6, libgal-dev (<< 0.6), libgal7 (<< 0.8-2)
Description: G App Libs (data files)
 This module contains some library functions that came from Gnumeric
 and Evolution.  The idea is to reuse those widgets across various
 larger GNOME applications that might want to use these widgets.

Package: libgal23
Section: oldlibs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libgal-data
Description: G App Libs (run time library)
 This module contains some library functions that came from Gnumeric
 and Evolution.  The idea is to reuse those widgets across various
 larger GNOME applications that might want to use these widgets.
