=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# shared library versions, option 1
_echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
cfiles := $(shell $(call _echo_cfiles, $(wildcard debian/libgal@GAL@.*)))

# shared library versions, option 1
VERSION  := $(shell dpkg-parsechangelog | grep Version | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9\.]*$$//g')
# GAL_CURRENT := $(shell grep GAL_CURRENT= configure.in | sed -e 's/GAL_CURRENT=//g' )
# GAL_AGE := $(shell grep GAL_AGE= configure.in | sed -e 's/GAL_AGE=//g' )
# LIBGALSO := $(shell expr ${GAL_CURRENT} - ${GAL_AGE})
LIBGALSO := 23

SCRIPT_DIR = /usr/share/dbs

# the dbs rules
TAR_DIR := gal-$(VERSION)
include $(SCRIPT_DIR)/dbs-build.mk

# dpkg-arch rules
ifeq (,$(DEB_BUILD_GNU_TYPE))
	include $(SCRIPT_DIR)/dpkg-arch.mk
endif

debian/control: debian/control.in
	dh_testdir
	sed -e "s/@GAL@/${LIBGALSO}/g" $@.in > $@

	for f in ${cfiles}; do \
		cp $$f `echo $$f | sed -e "s/@GAL@/${LIBGALSO}/g"`;\
	done;

	@echo
	@echo "*** VERSION     : ${VERSION}"
	@echo "*** LIBGALSO    : ${LIBGALSO}"
	@echo
	@sleep 1

configure: $(STAMP_DIR)/configure
$(STAMP_DIR)/configure: $(patched)
	dh_testdir

	cd $(BUILD_TREE) && \
	NOCONFIGURE=1 srcdir=. ACLOCAL_FLAGS="-I macros" gnome-autogen.sh && \
	./configure --prefix=/usr \
                --mandir=\$${prefix}/share/man \
                --infodir=\$${prefix}/share/info \
		--enable-shared --disable-gtk-doc --disable-gtktest

	touch $@

build: configure $(STAMP_DIR)/build
$(STAMP_DIR)/build:
	dh_testdir

	$(MAKE) -C $(BUILD_TREE)

	touch $@

clean: debian/control
	dh_testdir
	dh_testroot

	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
	perl $(SCRIPT_DIR)/dbs_split clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C $(BUILD_TREE) install prefix=`pwd`/debian/tmp/usr

	dh_movefiles -plibgal-dev -plibgal-data -plibgal${LIBGALSO}
	-find ./debian -type d -empty | xargs rmdir -p > /dev/null

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs -i
	rm -rf $(CURDIR)/debian/libgal-data/usr/share/doc/libgal-data
	dh_link -plibgal-data /usr/share/doc/libgal${LIBGALSO} /usr/share/doc/libgal-data
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs -a $(BUILD_TREE)/AUTHORS $(BUILD_TREE)/README $(BUILD_TREE)/NEWS $(BUILD_TREE)/MAINTAINERS

	mv $(CURDIR)/debian/libgal-dev/usr/share/gal/html \
	   $(CURDIR)/debian/libgal-dev/usr/share/doc/libgal-dev
	dh_link -plibgal-dev /usr/share/doc/libgal-dev/html /usr/share/gal/html
	dh_installmanpages -a
	dh_installchangelogs -a $(BUILD_TREE)/ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V'libgal${LIBGALSO} (>= ${VERSION})'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install debian/control update
