## gal0.x 0.24-7

=== debian/changelog ===
gal0.x (0.24-7) unstable; urgency=low

  * debian/patches/lkstrftime.patch: New file.  Fix syntax error in
    AC_TRY_RUN for the %l %k support in strftime test.  (Closes: #370636)

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  6 Jun 2006 10:04:05 -0700
