=== debian/watch ===
ftp.gnome.org	/pub/GNOME/sources/gal/0.24	gal-(.*)\.tar\.gz	debian	uupdate
